import 'package:flutter/material.dart';

import 'index.dart';

class MaskPreview extends StatelessWidget {
  final Stream<String> cameraStream;
  final MaskType maskType;

  const MaskPreview({
    Key? key,
    required this.cameraStream,
    required this.maskType,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return StreamBuilder<String>(
        stream: cameraStream,
        builder: (context, snapshot) {
          final _backgroundColor = snapshot.hasData && snapshot.data!.isNotEmpty
              ? Colors.black
              : Colors.black54;
          return CustomPaint(
            painter: MyMask(
              outerBackgroundColor: _backgroundColor,
              pathBorderType: maskType,
            ),
          );
        });
  }
}
