import 'dart:io';

import 'package:flutter/material.dart';

class OcrPreview extends StatelessWidget {
  final Stream<String> cameraStream;

  const OcrPreview({Key? key, required this.cameraStream}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return StreamBuilder<String>(
        stream: cameraStream,
        builder: (context, snapshot) {
          String _imagePath = '';
          if (snapshot.hasData && snapshot.data!.trim().isNotEmpty) {
            _imagePath = snapshot.data!;
          } else {
            _imagePath = '';
          }
          return _imagePath.isNotEmpty
              ? Container(
                  constraints: const BoxConstraints.expand(),
                  child: Image.file(
                    File(_imagePath),
                  ),
                )
              : SizedBox();
        });
  }
}
