import 'package:flutter/material.dart';

import 'ocr_camera_widget.dart';

class OcrTitle extends StatelessWidget {
  const OcrTitle({
    Key? key,
    required Size size,
    required this.widget,
  })  : _size = size,
        super(key: key);

  final Size _size;
  final OCRCameraWidget widget;

  @override
  Widget build(BuildContext context) {
    return Container(
      width: _size.width,
      color: Colors.transparent,
      child: Stack(
        alignment: AlignmentDirectional.centerStart,
        children: [
          Row(
            mainAxisSize: MainAxisSize.max,
            mainAxisAlignment: MainAxisAlignment.center,
            children: [
              Text(
                widget.title,
                style: widget.tStyle,
              )
            ],
          ),
          IconButton(
            onPressed: () => Navigator.of(context).pop(),
            icon: const Icon(
              Icons.clear,
              size: 30,
            ),
          ),
        ],
      ),
    );
  }
}
